"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getCssDeclarations;

var _require = require('@adeira/sx-tailwind'),
    tailwindStyles = _require.tailwindStyles;

function getCssDeclarations(utilityName, tailwindConfig) {
  // TODO: refactor once a support for more configuration options will be needed
  var fontFamily = tailwindConfig.theme.fontFamily;

  if (utilityName === 'font-sans' && fontFamily.sans) {
    return {
      fontFamily: toString(fontFamily.sans)
    };
  }

  if (utilityName === 'font-mono' && fontFamily.mono) {
    return {
      fontFamily: toString(fontFamily.mono)
    };
  }

  return tailwindStyles[utilityName];
}

function toString(value) {
  return Array.isArray(value) ? value.join(',') : value;
}